aboutsummaryrefslogtreecommitdiff
path: root/python/python3-cython-opt
diff options
context:
space:
mode:
Diffstat (limited to 'python/python3-cython-opt')
-rw-r--r--python/python3-cython-opt/README21
-rw-r--r--python/python3-cython-opt/python3-cython-opt.SlackBuild81
-rw-r--r--python/python3-cython-opt/python3-cython-opt.info10
-rw-r--r--python/python3-cython-opt/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/python/python3-cython-opt/README b/python/python3-cython-opt/README
new file mode 100644
index 0000000000..1e34fcb910
--- /dev/null
+++ b/python/python3-cython-opt/README
@@ -0,0 +1,21 @@
+The Cython language makes writing C extensions for the Python language
+as easy as Python itself.
+Cython is a source code translator based on Pyrex, but supports more
+cutting edge functionality and optimizations.
+
+The Cython language is a superset of the Python language (almost all
+Python code is also valid Cython code), but Cython additionally supports
+optional static typing to natively call C functions, operate with C++
+classes and declare fast C types on variables and class attributes.
+This allows the compiler to generate very efficient C code from Cython
+code.
+
+This makes Cython the ideal language for writing glue code for external
+C/C++ libraries, and for fast C modules that speed up the execution of
+Python code.
+
+You have to add those lines in your SlackBuild to make use of this
+newer cython:
+PYVER=$(python3 -c 'import sys; print("%d.%d" % sys.version_info[:2])')
+export PYTHONPATH="/opt/python$PYVER/site-packages:/opt/cython/python$PYVER/site-packages"
+export PATH="/opt/cython/bin:$PATH"
diff --git a/python/python3-cython-opt/python3-cython-opt.SlackBuild b/python/python3-cython-opt/python3-cython-opt.SlackBuild
new file mode 100644
index 0000000000..7c616d7090
--- /dev/null
+++ b/python/python3-cython-opt/python3-cython-opt.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/bash
+
+# Slackware build script for python3-cython-opt
+
+# Copyright 2025 Yth | Pont-en-Royans, France | yth@ythogtha.org
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-cython-opt
+SRCNAM=cython
+VERSION=${VERSION:-3.0.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) -exec chmod 755 {} \; -o \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PYVER=$(python3 -c 'import sys; print("%d.%d" % sys.version_info[:2])')
+export PYTHONPATH=/opt/python$PYVER/site-packages
+
+mkdir -p $PKG/opt
+python3 -m build --no-isolation
+python3 -m installer -d "$PKG" -p "opt/cython" dist/*.whl
+mv $PKG/opt/cython/lib*/python$PYVER $PKG/opt/cython/
+rmdir $PKG/opt/cython/lib*/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-cython-opt/python3-cython-opt.info b/python/python3-cython-opt/python3-cython-opt.info
new file mode 100644
index 0000000000..9f0c4bed57
--- /dev/null
+++ b/python/python3-cython-opt/python3-cython-opt.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-cython-opt"
+VERSION="3.0.11"
+HOMEPAGE="https://cython.org/"
+DOWNLOAD="https://pypi.python.org/packages/source/c/cython/cython-3.0.11.tar.gz"
+MD5SUM="388b85b7c23f501320d19d991b169f5d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-build python3-wheel"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/python/python3-cython-opt/slack-desc b/python/python3-cython-opt/slack-desc
new file mode 100644
index 0000000000..aca233e0be
--- /dev/null
+++ b/python/python3-cython-opt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-cython-opt: python3-cython-opt (superset of the Python language)
+python3-cython-opt:
+python3-cython-opt: The Cython language makes writing C extensions for the Python
+python3-cython-opt: language as easy as Python itself.
+python3-cython-opt:
+python3-cython-opt: Cython is the ideal language for writing glue code for external C/C++
+python3-cython-opt: libraries, and for fast C modules that speed up the execution of
+python3-cython-opt: Python code.
+python3-cython-opt:
+python3-cython-opt: https://cython.org/
+python3-cython-opt: